Hi Simon Richter,

2010/9/1 Simon Richter <[email protected]>:
> This package has been deinstalled as it was obsolete, but is still in
> "config-files" state.

mhhh. I can't reproduce this here with a simple testcase -
such a package shouldn't be in the loop at all as it has no current
installed version…

Could you provide
apt-cache policy snmp-mibs-downloader
and maybe your /var/lib/dpkg/status file ?


Best regards

David Kalnischkies


--- /dev/null   2010-09-02 12:08:44.723999849 +0200
+++ test/integration/skip-multiarch     2010-09-02 13:28:25.350565092 +0200
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+local TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386" "amd64"
+buildaptarchive
+
+aptget check
--- /dev/null   2010-09-02 12:08:44.723999849 +0200
+++ test/integration/status-multiarch   2010-09-02 13:29:48.797565040 +0200
@@ -0,0 +1,12 @@
+Package: notinstalled
+Status: deinstall ok config-files
+Priority: optional
+Section: libs
+Installed-Size: 3100
+Maintainer: Joe Sixpack <[email protected]>
+Architecture: all
+Version: 0.1
+Config-Version: 0.1
+Depends: unknownpkg
+Description: a very cool and useless package
+



--
To UNSUBSCRIBE, email to [email protected]
with a subject of "unsubscribe". Trouble? Contact [email protected]

Reply via email to